Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    mikes1988
    @mikes1988:matrix.org
    [m]
    I went a bit mad and touched agent-disable, agent-disabled and disable-agent just for good measure. ^_^
    ishackigozi
    @ishackigozi
    @Elenui I am having the same issue, from the nodes. curl:(90) SSL: Public key does not match pinned public key!. Were you able to resolve this issue?
    Elenui
    @Elenui
    I cheated ^^"
    I put my web ui domain behind my load balancer
    And my node directly hit the rudder server
    create a custom domain for my node's communication
    ishackigozi
    @ishackigozi
    @Elenui I tried to follow this but am not sure if I am doing something wrong
    Vulcan1171
    @Vulcan1171
    Hello! Sorry, think this is not the correct place to write this, but I can't find any place where to report the issue so maybe someone can point me in the right direction... The problem is this: in the official rudder repositories, the "latest" link still points to the 6.2 version while 7.0 is out. Does anyone know how I can alert normation about this? Many thanks!
    Elenui
    @Elenui
    u can report issue there :)
    fanf42
    @fanf42:matrix.org
    [m]
    @Vulcan1171: yep, we are waiting for 7.0.2, there are still some nasty bug in 7.0.1 in specific cases
    Vulcan1171
    @Vulcan1171
    Thank you, I was unsure because it is not an issue regarding rudder per-se. Very well, since the situation is known, I will wait for everything to stabilize.
    fanf42
    @fanf42:matrix.org
    [m]
    if you need, you can of course already use ../7.0/... url
    Nicolas E
    @necar_gitlab
    Hello. How can I manually make a node run its rudder-hooks and inform the hub? (rudder agent inventory doesn't seem to do it)
    Nicolas Charles
    @ncharles
    Is the hook executable ?
    does it returns valid json ?
    Nicolas E
    @necar_gitlab
    yes it is
    Nicolas Charles
    @ncharles
    you can run manually the inventory with /opt/rudder//bin/run-inventory --debug --local=/tmp/inv.ocs and check the content of the inventory for tag CUSTOM_PROPERTIES
    in /tmp/inv.ocs
    Nicolas E
    @necar_gitlab
    @ncharles OK, this does work, and I can see that what's in the CUSTOM_PROPERTIES is current with what I expected. But is there a way to manually (force) this result to be sent to the hub? I mean, I know that every night this very action is done correctly, but how to manually trigger it on demand?
    Nicolas Charles
    @ncharles
    HA !
    rudder agent inventory
    Nicolas E
    @necar_gitlab
    OK, thanks. I thought that when running inventory manually, the results were not routed to the hub. I thought that because some dynamic groups are based on properties, and I have to manually refresh them to see the group content change.
    Nicolas Charles
    @ncharles
    Dynamic groups are always refreshed when new inventory arrive, or also every 5 minutes, just to check
    Alexis Mousset
    @amousset
    :information_source: Rudder is not impacted by the spring4shell vulnerability (CVE-2022-22965)
    Matthew Frost
    @mattronix
    Should the Condition for OS match on Techniques do this: Skipping method 'File from HTTP server' with key parameter '/opt/uptic/software/zabbix/zabbix-release_5.0-1+focal_all.deb' since condition 'ubuntu_20_4.(directory_presentopt_uptic_software_zabbixok)' is not reached was not applicable
    show as ubuntu_20_4
    ?
    as i cant seem to get this condition to trigger for ubuntu 20.04 and all i see is via the dropdown ubuntu major 20, minor. 4
    but cant add 20 04 as the minor
    Fdall
    @Fdall
    @mattronix Your best bet is to run rudder agent info -v on your ubuntu node, and look for the most precise system condition defined. Still, ubuntu_20_4 looks correct
    Matthew Frost
    @mattronix
    gotcha
    cant figure out whats blocking my run
    oh wow
    did not know those exist condtion wise
    thats cool
    image.png
    looks like a bug indeed as look ubuntu 20_04 is listed
    Vincent Membré
    @VinceMacBuche
    yes you can use ubuntu_20. or set directly ubuntu_20_04 as advanced class
    Matthew Frost
    @mattronix
    perfect
    will do that
    Vincent Membré
    @VinceMacBuche
    I'll try to fix it for 7.0.2, that could be ok if i can do it tonight
    Matthew Frost
    @mattronix
    thanks :)
    oh wow cool
    ubuntu_20_04.(directory_presentopt_uptic_software_zabbixok)
    that correct?
    haha im good at finding stuff like this partly think im cursed XD
    Vincent Membré
    @VinceMacBuche
    That seems correct (i assume bold part is surrounded by _)
    Matthew Frost
    @mattronix
    yep :)